* PACKAGE DPIXY  !" 力学 地表気圧の傾度
*
*" [HIS] ???
*"       98/01/18(akahori) PIXPIY:  SMPACK-0.0 対応
*"       98/03/07(akahori) PIXPIY:  SMPACK-1.0 対応
*
****************************************************************
      SUBROUTINE PIXPIY                      !" 地表気圧傾度
     O         ( GDPIX , GDPIY ,
     I           GDPS            )
*
*   [PARAM]
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数, 波数
#else
#include        "zcdim.F"
#endif
*   [OUTPUT] 
      REAL       GDPIX ( IDIM*JDIM       )   !" πの東西微分
      REAL       GDPIY ( IDIM*JDIM       )   !" πの南北微分
*
*   [INPUT] 
      REAL       GDPS  ( IDIM*JDIM       )
*
*   [INTERNAL WORK]
      COMMON    /COMWRK/
     &           GDPI  , WDPI
      REAL       GDPI  ( IDIM*JDIM       )   !" π=ln 地表気圧
      REAL       WDPI  ( NMDIM           )   !" 同スペクトル
*
      INTEGER    IJ
*
      DO 1100 IJ = 1, IDIM*JDIM
         GDPI ( IJ ) = LOG( GDPS( IJ ) )
 1100 CONTINUE

      CALL DS1G2S
     O         ( WDPI ,
     I           GDPI  )
*
      CALL DS1S1V
     O       ( GDPIX, GDPIY,
     I         WDPI,
     I         'COS '       )

      RETURN
      END
